/* #define USE_TI89 */ //currently making the TI-92+ version
#define USE_TI92PLUS
#define OPTIMIZE_ROM_CALLS
#define SAVE_SCREEN

#include <tigcclib.h>

char num;
short x = 5;

void blaw(void) {
 clrscr();
 printf("Boyle's Law:\n\n");
 printf("The pressure(P1) times the volume(V1)\nof object 1 equals the pressure(P2)\ntimes the volume(V2) of object 2.\n\nEquation:\n (P1 * V1) = (P2 * V2)");
 ngetchx();}
 
void claw(void) {
 clrscr();
 printf("Charles' Law:\n\n");
 printf("The volume (V1) divided by the temp\n(T1) of object 1 equals the volume (V2)\ndivided by the temp (T2) of object 2.\n\nEquation:\n(V1 / T1) = (V2 / T2)");
 ngetchx();}
 
void glaw(void) {
 clrscr();
 printf("Gay-Lussac's Law:\n\n");
 printf("The pressure(P1) divided by the temp\n(T1) of object 1 equals the pressure\n(P2) divided the temp (T2) of object 2.\n\nEquation:\n(P1 / T1) = (P2 / T2)");
 ngetchx();}

void dlaw(void) {
 clrscr();
 printf("Dalton's Law:\n\n");
 printf("The total pressure (Pt) equals the\ncombined pressures of all the gases\nbeing used.\n\nEquation:\nPt = P1+P2+P3 . . .");
 ngetchx();}

void comlaw(void) {
 clrscr();
 printf("Combined Law:\n\n");
 printf("The pressure (P1) times the volume (V1)\ndivided by the temperature (T1) of\nobject 1 equals the pressure (P2)\ntimes the volume (V2) divided by the\ntemperature (T2) of object 2.\n\nEquation:\n(P1 * V1)/T1 = (P2 * V2)/T2");
 ngetchx();}

void ilaw(void) {
 clrscr();
 printf("Ideal Law:\n\n");
 printf("The pressure (P) times the volume (V)\nequals the number of moles (n) times\nthe universal gas constant (R) times\nthe temperature (T).\n\nEquation:\n(P * V) = (n * R * T)\n\nR = 8.314 J / mole - K\nR = 1.987 cal / mole - K\nR = .08206 l - atm / mole - K");
 ngetchx();}
 
void grlaw(void) {
 clrscr();
 printf("Graham's Law:\n\n");
 printf("The square root of the molecular mass\n(M2) of object 2 divided by the\nmolecular mass (M1) of object 1 equals the square root of the density (D2) of\nobject 2 divided by the density (D1) of\nobject 1.\n\nEquation:\n(M2 / M1)^.5 = (D2 / D1)^.5");
 ngetchx();}
 
void _main(void) {
 clrscr();
 FontSetSys(F_6x8);	//The font size is one of the few differences between the 89 and 92+ versions.
 printf("Seven Important Gas Laws\nReally Bored Productions\n\n");
 printf("1. Boyle\n2. Charles\n3. Gay-Lussac\n4. Dalton\n5. Combined\n6. Ideal\n7. Graham\n8. Exit\n9. Erase Memory\n\n");
 printf("Compiled %s GMT, %s.",__TIME__,__DATE__);
 num = getchar();
 if (num == '1') blaw();
 if (num == '2') claw();
 if (num == '3') glaw();
 if (num == '4') dlaw();
 if (num == '5') comlaw();
 if (num == '6') ilaw();
 if (num == '7') grlaw();
 if (num == '8') exit(0);
 if (num == '9') OSReset ();
 _main();
 return;}
 
